jQuery 3.2.0 发布,支持自定义 CSS 属性

局长
 局长
发布于 2017年03月17日
收藏 23

jQuery 3.2.0 发布了,此版本包括一些错误修复,改进和一些弃用,如果从 jQuery 3.0+ 升级,应该不会存在兼容性问题。

如果尚未升级到 jQuery 3+,请查看 3.0 升级指南jQuery Migrate 3.0 插件将帮助你识别代码中的兼容性问题。

值得关注的更新:

  • Added support for custom CSS properties (#3144).

  • Deprecated jQuery.holdReady (#3288).

  • Deprecated jQuery.nodeName (#3475).

  • Deprecated jQuery.inArray (#2961).

  • Fixed a bug in .width().height(), and related methods where CSS transforms were included in the calculations. For instance, an element with the style transform: scale(2x) should not have its width and height values doubled (#3193).

  • Added support for <template> elements to the .contents() method (#3436).

  • Added back the deprecated module to the slim build. This change is largely insignificant given the module’s small size. We believe it makes more sense to remove deprecated pieces from the slim build at the same time as the main jQuery build (#3237).

下载

https://code.jquery.com/jquery-3.2.0.js

https://code.jquery.com/jquery-3.2.0.min.js

也可从 npm 获取

npm install jquery@3.2.

本站文章除注明转载外,均为本站原创或编译。欢迎任何形式的转载,但请务必注明出处,尊重他人劳动共创开源社区。
转载请注明:文章转载自 开源中国社区 [http://www.oschina.net]
本文标题:jQuery 3.2.0 发布,支持自定义 CSS 属性
加载中

精彩评论

noonoo
noonoo
有人总用潮流,方向来鄙视一些东西,或是因为自己用了什么技术就傲娇一下。
其实我想说真正自由的是思想,和技术无关。不要喷我,让我先傲娇一会儿!
开源中国123456789
开源中国123456789
听说用vue,angular 和react 可以取代jq, 是吗
南漂一卒
南漂一卒
这个版本的一个新特性是我加的,哈哈!~
Jiazz
Jiazz

引用来自“游客”的评论

不都在玩vue,angular 和react 去了吗.

引用来自“iehyou”的评论

还不就是一部分古董要照顾到IE8以下
3.0不支持IE8.......vue,angular 和react都是框架 jq只是一个库而已~~怎么可以比 。。。。

最新评论(23

Mr_早行之客
Mr_早行之客
看看jQuery的源码,里面的设计模式和理念还是挺棒的。个人感觉,js的功底还是体现的对原生js的领悟和熟悉程度。
南漂一卒
南漂一卒
这个版本的一个新特性是我加的,哈哈!~
eechen
eechen
jQuery不仅简化了DOM编程,还简化了AJAX编程.
无需显式DOM操作,$("form").serialize()即可拿到表单元素的name及其对应value的值,
把一个表单序列化成一个查询字符串,使之能够在一个AJAX请求中发送.
$.ajax({
  type: "POST",
  url: "/",
  data: $("form").serialize()
}).done(function(data){
  console.log(data);
});
eechen
eechen
DOM是网页必不可少的模型.
后端渲染HTML不会过时,前端操作DOM也不会过时,简单实用的东西更不会过时.

jQuery API 中文文档(官译)
http://www.css88.com/jqapi-1.9/

需要支持IE8,那就用jQuery 1系,最新版本是1.12.4.
不需要支持IE8,那就用3系.
另外,jQueryUI和jQueryMobile都是兼容jQuery 1系的.
阿YANG
阿YANG
还在使用1.X的路过
noonoo
noonoo
有人总用潮流,方向来鄙视一些东西,或是因为自己用了什么技术就傲娇一下。
其实我想说真正自由的是思想,和技术无关。不要喷我,让我先傲娇一会儿!
iehyou
iehyou

引用来自“游客”的评论

不都在玩vue,angular 和react 去了吗.

引用来自“iehyou”的评论

还不就是一部分古董要照顾到IE8以下

引用来自“ljz”的评论

使用JQ的网站比vue,angular 和react 加起来的总和还多吧~~~~~
回复@ljz : 历史悠久当然多了, 但是只要以后还是HTML+Javascript是主流的话,它们就是方向。
Jiazz
Jiazz

引用来自“游客”的评论

不都在玩vue,angular 和react 去了吗.

引用来自“iehyou”的评论

还不就是一部分古董要照顾到IE8以下
3.0不支持IE8.......vue,angular 和react都是框架 jq只是一个库而已~~怎么可以比 。。。。
开源中国123456789
开源中国123456789

引用来自“等待是一生最初的苍老”的评论

听说用vue,angular 和react 可以取代jq, 是吗

引用来自“ljz”的评论

angular 内部还有一个精简版的 jq~~~~整个系统用MVVM会变的很复杂 。。。难以维护。。。
听说vue很简单, 是这样吗? 他能代替jq?
返回顶部
顶部